Library Version 12.1.6.2

erase
Prev | Chapter 4. Db_vector | Next

## erase

### Function Details

    iterator erase(iterator pos)

Erase element at position pos.

#### Parameters

##### pos

The valid position in the container's range to erase.

#### Return Value

The next position after the erased element.

    iterator erase(iterator first,
        iterator last)

Erase elements in range [first, last).

#### Parameters

##### last

The open boundary of the range.

##### first

The closed boundary of the range.

#### Return Value

The next position after the erased elements.

### Group: Erase functions

The iterator pos in the functions must be a read-write iterator, can't be read only.

http://www.cplusplus.com/reference/vector/vector/erase/

### Class

db_vector

Prev | Up | Next
insert | Home | remove